Name:		olpc-update
Version:	2.23
Release:	1%{?dist}
Summary:	OLPC system update tools

Group:		System Environment/Base
License:	GPLv2+
URL:		http://dev.laptop.org/git/projects/olpc-update
Source0:	http://dev.laptop.org/~dsd/olpc-update/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires:		bitfrost, olpc-contents, NetworkManager, cronie
BuildRequires:	python-devel


%description
The OLPC update utilities handle the automatic or manual update of system
files on an XO laptop.


%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.d
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/NetworkManager/dispatcher.d

%{__install} -m 755 olpc-update-query olpc-update $RPM_BUILD_ROOT/%{_sbindir}
%{__install} -m 755 irsync $RPM_BUILD_ROOT/%{_sbindir}/olpc-incr-rsync
%{__install} -m 644 crontab-entry $RPM_BUILD_ROOT/%{_sysconfdir}/cron.d/olpc-update-query
%{__install} -m 755 olpc-update-ifup $RPM_BUILD_ROOT/%{_sysconfdir}/NetworkManager/dispatcher.d/olpc-update-ifup


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING

%{_sbindir}/olpc-update-query
%{_sbindir}/olpc-update
%{_sbindir}/olpc-incr-rsync
%{_sysconfdir}/cron.d/olpc-update-query
%{_sysconfdir}/NetworkManager/dispatcher.d/olpc-update-ifup


%changelog
* Mon Apr 26 2010 Daniel Drake <dsd@laptop.org> - 2.23-1
- version bump

* Thu Apr 15 2010 Daniel Drake <dsd@laptop.org> - 2.22-1
- version bump

* Mon Nov 30 2009 Daniel Drake <dsd@laptop.org> - 2.21-1
- version bump

* Sat Aug  1 2009 Daniel Drake <dsd@laptop.org> - 2.20-1
- version bump

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Daniel Drake <dsd@laptop.org> - 2.19-2
- forgot to put spec file in CVS

* Thu Jul 16 2009 Daniel Drake <dsd@laptop.org> - 2.19-1
- Initial import

